Update Multiple Users
Update information for multiple users at once.
- The maximum input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard format
. - The maximum batch size is 500.
PUT
/api/{version}/objects/usersHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or text/csv |
Body Parameters
Section link for Body ParametersPrepare a JSON or CSV input file. You can include any editable user field and
value in the input. Note this endpoint does not support the security_profile
attribute for updating profiles.
| Name | Description |
|---|---|
id | The ID of the user to update. |
vault_membership | Optional: See Vault Membership for how to configure. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Users\update_users.csv" \
https://myvault.veevavault.com/api/v21.1/objects/usersResponse
Section link for Response{
"responseStatus":"SUCCESS",
"data":[
{
"responseStatus":"SUCCESS",
"id":"12021"
},
{
"responseStatus":"SUCCESS",
"id":"12022"
},
{
"responseStatus":"SUCCESS",
"id":"12023"
},
{
"responseStatus":"FAILURE",
"id":"22124",
"errors":[
{
"type":"INVALID_DATA",
"message":"Error message describing why this user was not updated."
}
]
}
]
}